
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

ExcludeArch:    armv5tl

Name:           kdepim-addons
Version: 16.12.3
Release:        %mkrel %{rel}
Summary:        Addons for KDE PIM applications
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/KDE
Url:            http://www.kde.org
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

# Qt5 BuildRequires
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)

# KDE Framework BuildRequires
BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KHtml)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5AkonadiNotes)
BuildRequires:  cmake(KF5WebKit)

BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5AkonadiCalendar)
BuildRequires:  cmake(KF5CalendarSupport)
BuildRequires:  cmake(KF5CalendarUtils)
BuildRequires:  cmake(KF5EventViews)
BuildRequires:  cmake(KF5GrantleeTheme)
BuildRequires:  cmake(KF5Gravatar)
BuildRequires:  cmake(KF5IncidenceEditor)
BuildRequires:  cmake(KF5KaddressbookGrantlee)
BuildRequires:  cmake(KF5Libkdepim)
BuildRequires:  cmake(KF5Libkleo)
BuildRequires:  cmake(KF5MailCommon)
BuildRequires:  cmake(KF5MessageViewer)
BuildRequires:  cmake(KF5PimCommon)
BuildRequires:  cmake(KF5MessageCore)
BuildRequires:  cmake(KF5MessageComposer)
BuildRequires:  cmake(KF5MessageList)
BuildRequires:  cmake(KF5Tnef)
BuildRequires:  cmake(KF5WebEngineViewer)
# Extra package
BuildRequires:  cmake(KF5GAPI)

Conflicts:      messagelib < 2:16.11.90

# can be removed for mga7
Conflicts:      messageviewer < 2:16.04.3-7


%description
Addons for KDE PIM applications.

%files
%config %{_kf5_sysconfdir}/xdg/kdepim-addons.categories
%config %{_kf5_sysconfdir}/xdg/kdepim-addons.renamecategories
# KAddressBook addons
%{_qt5_plugindir}/kaddressbook/
%{_kf5_libdir}/akonadi/contact/editorpageplugins/cryptopageplugin.so
# KMail addons
%config %{_kf5_sysconfdir}/xdg/kmail.antispamrc
%config %{_kf5_sysconfdir}/xdg/kmail.antivirusrc
%{_kf5_bindir}/kmail_antivir.sh
%{_kf5_bindir}/kmail_clamav.sh
%{_kf5_bindir}/kmail_fprot.sh
%{_kf5_bindir}/kmail_sav.sh
%{_qt5_plugindir}/kmail/
%{_kf5_datadir}/kmail2/pics/*
# KOrganizer addons
%{_qt5_plugindir}/korg_datenums.so
%{_qt5_plugindir}/korg_hebrew.so
%{_qt5_plugindir}/korg_picoftheday.so
%{_qt5_plugindir}/korg_thisdayinhistory.so
%{_kf5_services}/korganizer/
# PimCommon addons
%{_qt5_plugindir}/pimcommon/
# MessageViewer addons
%{_qt5_plugindir}/messageviewer/
%{_qt5_plugindir}/messageviewer_bodypartformatter_application_mstnef.so
%{_qt5_plugindir}/messageviewer_bodypartformatter_application_gnupgwks.so
%{_qt5_plugindir}/messageviewer_bodypartformatter_text_vcard.so
%{_qt5_plugindir}/messageviewer_bodypartformatter_text_xdiff.so
%{_qt5_plugindir}/messageviewer_bodypartformatter_text_calendar.so
%{_kf5_datadir}/messageviewer/*
# WebengineViewer addons
%{_qt5_plugindir}/webengineviewer/webengineviewer_adblockplugin.so
%{_qt5_plugindir}/webengineviewer/webengineviewer_donottrackplugin.so
%{_kf5_datadir}/kconf_update/webengineurlinterceptoradblock.upd
# PimCalendars addons
%{_qt5_plugindir}/plasmacalendarplugins/pimevents.so
%{_qt5_plugindir}/plasmacalendarplugins/pimevents/PimEventsConfig.qml
%{_qt5_qml}/org/kde/plasma/PimCalendars/libpimcalendarsplugin.so
%{_qt5_qml}/org/kde/plasma/PimCalendars/qmldir

#-------------------------------------------------------------------------------

%define libshorturlpluginprivate_major 5
%define libshorturlpluginprivate %mklibname shorturlpluginprivate %{libshorturlpluginprivate_major}

%package -n %libshorturlpluginprivate
Summary: Runtime library for %name
Group: System/Libraries

%description -n %libshorturlpluginprivate
Runtime library for %name.

%files -n %libshorturlpluginprivate
%_kf5_libdir/libshorturlpluginprivate.so.%{libshorturlpluginprivate_major}*

#-------------------------------------------------------------------------------

%define libkaddressbookmergelibprivate_major 5
%define libkaddressbookmergelibprivate %mklibname kaddressbookmergelibprivate %{libkaddressbookmergelibprivate_major}

%package -n %libkaddressbookmergelibprivate
Summary: Runtime library for %name
Group: System/Libraries

%description -n %libkaddressbookmergelibprivate
Runtime library for %name.

%files -n %libkaddressbookmergelibprivate
%_kf5_libdir/libkaddressbookmergelibprivate.so.%{libkaddressbookmergelibprivate_major}*

#-------------------------------------------------------------------------------

%define libkaddressbookimportexportlibprivate_major 5
%define libkaddressbookimportexportlibprivate %mklibname kaddressbookimportexportlibprivate %{libkaddressbookimportexportlibprivate_major}

%package -n %libkaddressbookimportexportlibprivate
Summary: Runtime library for %name
Group: System/Libraries

%description -n %libkaddressbookimportexportlibprivate
Runtime library for %name.

%files -n %libkaddressbookimportexportlibprivate
%_kf5_libdir/libkaddressbookimportexportlibprivate.so.%{libkaddressbookimportexportlibprivate_major}*

#-------------------------------------------------------------------------------

%define libadblocklibprivate_major 5
%define libadblocklibprivate %mklibname adblocklibprivate %{libadblocklibprivate_major}

%package -n %libadblocklibprivate
Summary: Runtime library for %name
Group: System/Libraries

%description -n %libadblocklibprivate
Runtime library for %name.

%files -n %libadblocklibprivate
%_kf5_libdir/libadblocklibprivate.so.%{libadblocklibprivate_major}*

#-------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5

%make_build

%install
%make_install -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090049
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076785
- New version 16.12.0
- Do not own /usr/share/kmail2/pics

* Thu Dec 15 2016 neoclust <neoclust> 16.11.90-3.mga6
+ Revision: 1075369
- Do not own /usr/share/messageviewer

* Thu Dec 15 2016 neoclust <neoclust> 16.11.90-2.mga6
+ Revision: 1075351
- Fix conflicts to ease upgrade

* Sat Dec 10 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1074050
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067316
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061374
- New version 16.08.2

* Tue Sep 27 2016 neoclust <neoclust> 16.08.1-2.mga6
+ Revision: 1057061
- Do not build on armv5tl

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050641
- New version 16.08.1

* Fri Aug 26 2016 daviddavid <daviddavid> 16.08.0-2.mga6
+ Revision: 1049004
- add a Conflicts with messageviewer < 2:16.04.3-7

* Wed Aug 24 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1048114
- New version 16.08.0

* Sun Jul 24 2016 neoclust <neoclust> 16.04.3-2.mga6
+ Revision: 1043501
- Rebuild with typo fixes
- imported package kdepim-addons

